Bug 708 - ALFactory doesn't catch the real exceptions thrown when the loading of OpenAL fails
: ALFactory doesn't catch the real exceptions thrown when the loading of OpenAL...
Status: RESOLVED FIXED
Product: Joal
Classification: JogAmp_Core
Component: core
: 1.0
: All all
: --- normal
Assigned To: Xerxes Rånby
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-03-18 15:36 CET by Julien Gouesse
Modified: 2013-03-21 09:31 CET (History)
2 users (show)

See Also:
Type: ---
SCM Refs:
Workaround: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Julien Gouesse 2013-03-18 15:36:57 CET
ALFactory catches only UnsatisfiedLinkError instances in initialize() but this kind of error usually occurs in a static initializer, that's why it should catch ExceptionInInitializerError instances too. This bug breaks APIs that assume we only rethrow exceptions wrapped in ALException instances, see the bug 699.
Comment 1 Julien Gouesse 2013-03-18 21:57:04 CET
Please look at the bug fix here:
https://github.com/sgothel/joal/pull/10
Comment 2 Sven Gothel 2013-03-20 04:51:23 CET
merged
Comment 3 Julien Gouesse 2013-03-20 11:26:00 CET
It should work, I will test it tonight.
Comment 4 Julien Gouesse 2013-03-21 09:31:41 CET
It works very well now. Thanks.